# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free

Summary:        Master for PAX - The OSGi station at OPS4J
Name:           ops4j-pax-master
Version:        1.9
Release:        1%{?dist}
Epoch:          0
Group:          Development/Java
License:        Apache 2.0 License
URL:            http://www.ops4j.org/

Source3:        org.ops4j.pax-project-1.9.pom
# https://scm.ops4j.org/repos/ops4j/qa/pax/master-1.9/project/pom.xml
Source4:        org.ops4j.pax-master-1.9.pom
# https://scm.ops4j.org/repos/ops4j/qa/pax/master-1.9/master/pom.xml
Source5:        org.ops4j-pax-1.9.pom
# https://scm.ops4j.org/repos/ops4j/qa/pax/master-1.9/pom.xml
Source6:        org-ops4j-1.1.pom
# https://scm.ops4j.org/repos/ops4j/qa/ops4j-1.1/pom.xml


BuildRequires:  jpackage-utils >= 0:1.7.5

Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Pax is the umbrella project for all OSGi bundles and tools.
OSGi is a runtime platform that allows for a much higher 
degree of dynamicity than any other container architecture 
and is well suited for both client and server applications. 
Eclipse is the most visible OSGi eco-system on the market, 
housing many UI driven OSGi projects including a runtime 
framework. Knopflerfish.org as well as Apache Felix are 
other runtime platforms, with their respective standard 
services.

PAX intend to be complimentary to all these efforts and 
main focus are on good practices and technology integration.

%prep
%setup -T -c

%build

%install
rm -rf $RPM_BUILD_ROOT

# poms
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 %{SOURCE3} \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.ops4j-pax-project.pom
%add_to_maven_depmap org.ops4j.pax project %{version} JPP/ops4j-pax project

install -m 644 %{SOURCE4} \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.ops4j-pax-master.pom
%add_to_maven_depmap org.ops4j.pax master %{version} JPP/ops4j-pax master

install -m 644 %{SOURCE5} \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.ops4j-pax.pom
%add_to_maven_depmap org.ops4j.pax pax %{version} JPP/ops4j-pax pax

install -m 644 %{SOURCE6} \
               $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-ops4j.pom
%add_to_maven_depmap org.ops4j ops4j %{version} JPP ops4j

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%changelog
* Sat Jan 18 2011 Ralph Apel <r.apel at r-apel.de> 0:1.9-1
- Release

